Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl
Class DbcpDataSourceFactory

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.service.impl.DbcpDataSourceFactory

All Implemented Interfaces:
  PooledJdbcDataSourceFactory

    public class DbcpDataSourceFactory

extends java.lang.Object
implements PooledJdbcDataSourceFactory

Version:
  $Id: DbcpDataSourceFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`DbcpDataSourceFactory()`

Method Summary
`PooledDataSource` | `createPooledDataSource(java.lang.String driverClass, java.lang.String url, java.lang.String username, java.lang.String password)`
`org.apache.commons.pool.ObjectPoolFactory` | `getObjectPoolFactory()`
`protected void` | `registerDriver(java.lang.String driverClass)`
`void` | `setObjectPoolFactory(org.apache.commons.pool.ObjectPoolFactory genericObjectPoolFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbcpDataSourceFactory

    public DbcpDataSourceFactory()

Method Detail

### createPooledDataSource

    public PooledDataSource createPooledDataSource(java.lang.String driverClass,
                                                   java.lang.String url,
                                                   java.lang.String username,
                                                   java.lang.String password)

  Specified by:
    `createPooledDataSource` in interface `PooledJdbcDataSourceFactory`

### registerDriver

    protected void registerDriver(java.lang.String driverClass)

### getObjectPoolFactory

    public org.apache.commons.pool.ObjectPoolFactory getObjectPoolFactory()

### setObjectPoolFactory

    public void setObjectPoolFactory(org.apache.commons.pool.ObjectPoolFactory genericObjectPoolFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.